---
swagger: "2.0"
info:
  description: "The Application"
  version: "1.0.0"
  title: "Sample REST Application"
  contact:
    name: "users@cxf.apache.org"
  license:
    name: "Apache 2.0 License"
    url: "http://www.apache.org/licenses/LICENSE-2.0.html"
host: "localhost:%s"    
basePath: "/"
tags:
- name: "bookstore"
paths:
  /bookstore:
    get:
      operationId: "getBooks"
      produces:
      - "application/json"
      parameters:
      - name: "page"
        in: "query"
        required: false
        type: "integer"
        default: 1
        format: "int32"
      responses:
        default:
          description: "successful operation"
  /bookstore/name/{id}:
    get:
      operationId: "getBookName"
      parameters:
      - name: "id"
        in: "path"
        required: true
        type: "string"
      responses:
        200:
          description: "successful operation"
          schema:
            type: "string"
          headers: {}
  /bookstore/names:
    get:
      operationId: "getBookNames"
      produces:
      - "application/json"
      parameters:
      - name: "page"
        in: "query"
        required: false
        type: "integer"
        default: 1
        format: "int32"
      responses:
        default:
          description: "successful operation"
  /bookstore/{id}:
    get:
      operationId: "getBook"
      produces:
      - "application/json"
      parameters:
      - name: "id"
        in: "path"
        required: true
        type: "integer"
        format: "int64"
      responses:
        200:
          description: "successful operation"
          schema:
            $ref: "#/definitions/Book"
          headers: {}
    delete:
      operationId: "delete"
      parameters:
      - name: "id"
        in: "path"
        required: true
        type: "string"
      responses:
        default:
          description: "successful operation"
definitions:
  Book:
    type: "object"
    properties:
      name:
        type: "string"
      id:
        type: "integer"
        format: "int64"
    xml:
      name: "Book"
